List the distribution requests made to a brokerage firm
curl --request GET \
--url https://api.korint.io/brokerage-firms/{brokerageFirmId}/wholesale-distribution-requests \
--header 'Authorization: Bearer <token>' \
--header 'tenant: <tenant>'import requests
url = "https://api.korint.io/brokerage-firms/{brokerageFirmId}/wholesale-distribution-requests"
headers = {
"tenant": "<tenant>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {tenant: '<tenant>', Authorization: 'Bearer <token>'}};
fetch('https://api.korint.io/brokerage-firms/{brokerageFirmId}/wholesale-distribution-requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"type": "<string>",
"brokerageFirmId": "<string>",
"productId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"brokerageFirm": {
"type": "<string>",
"id": "<string>",
"companyInfo": {
"siret": "<string>",
"siren": "<string>",
"nafCode": "<string>",
"nafLabel": "<string>",
"name": "<string>",
"creationDate": "2023-11-07T05:31:56Z",
"location": {
"city": "<string>",
"country": "<string>",
"address": "<string>",
"postCode": "<string>"
},
"legalStatus": {
"1": "<string>",
"2": "<string>",
"3": "<string>"
},
"headcount": "<string>",
"isActive": true
},
"createdAt": "2023-11-07T05:31:56Z",
"tenantId": "<string>",
"customFields": [
{
"key": "<string>",
"value": "<string>"
}
],
"parentBrokerageFirmId": "<string>",
"preferredPaymentMethodId": "<string>"
}
}
],
"pageInfo": {
"first": true,
"last": true
},
"totalCount": 123,
"currentPage": 123,
"totalPages": 123
}distribution-requests
List the distribution requests made to a brokerage firm
GET
/
brokerage-firms
/
{brokerageFirmId}
/
wholesale-distribution-requests
List the distribution requests made to a brokerage firm
Authorizations
oauth2bearerAuth
Machine-to-machine clients use the OAuth 2.0 client credentials grant. Each tenant has its own authorization server: in the token URL below, replace tenant with your tenant identifier.
Headers
Your tenant identifier. Requests without it are rejected.
Path Parameters
Pattern:
^brokerage_firm(_test)?_[346789ABCDEFGHJKLMNPQRTUVWXYabcdefghijkmnpqrtwxyz]{21}$Query Parameters
the number of items to return
the page to retrieve
Available options:
PENDING, WAITING_FOR_SIGNATURE, APPROVED, DENIED, REVOKED Product id
Response
200 - application/json
Was this page helpful?
⌘I

